aboutsummaryrefslogtreecommitdiffhomepage
path: root/platform_tools
diff options
context:
space:
mode:
authorGravatar msarett <msarett@google.com>2015-03-25 12:28:33 -0700
committerGravatar Commit bot <commit-bot@chromium.org>2015-03-25 12:28:33 -0700
commit114912d4b9dec67b02223ffa57ffab686442e332 (patch)
tree8b0419794514b455fb2a3e88111cca318ae3f771 /platform_tools
parenta43b41538ad6af0f2b7742b4ade8265d344b9d64 (diff)
Fix android_run_skia script to allow for larger blacklist
Diffstat (limited to 'platform_tools')
-rwxr-xr-xplatform_tools/android/bin/android_run_skia14
1 files changed, 10 insertions, 4 deletions
diff --git a/platform_tools/android/bin/android_run_skia b/platform_tools/android/bin/android_run_skia
index 7c69309aa0..016bd79059 100755
--- a/platform_tools/android/bin/android_run_skia
+++ b/platform_tools/android/bin/android_run_skia
@@ -25,9 +25,15 @@ fi
if [ $LOGCAT ]; then $ADB $DEVICE_SERIAL logcat -c; fi
STATUS_FILENAME="/data/local/tmp/.skia_tmp_$(date +%s%N)"
-$ADB ${DEVICE_SERIAL} shell \
- "LD_LIBRARY_PATH=/data/local/tmp:$LD_LIBRARY_PATH \
- /data/local/tmp/skia_launcher ${APP_ARGS[*]}; echo \$? > ${STATUS_FILENAME}"
+CMD_FILENAME=".skia_cmd_tmp_$(date +%s%N)"
+echo "LD_LIBRARY_PATH=/data/local/tmp:$LD_LIBRARY_PATH \
+ /data/local/tmp/skia_launcher ${APP_ARGS[*]}; \
+ echo \$? > ${STATUS_FILENAME}" > ${CMD_FILENAME}
+chmod +x ${CMD_FILENAME}
+$ADB ${DEVICE_SERIAL} push ${CMD_FILENAME} /data/local/tmp
+rm ${CMD_FILENAME}
+$ADB ${DEVICE_SERIAL} shell sh /data/local/tmp/${CMD_FILENAME}
+
if [ -z "$($ADB $DEVICE_SERIAL shell 'if [ -f $STATUS_FILENAME ]; then echo exists; fi')" ]; then
if [ $LOGCAT ]; then $ADB $DEVICE_SERIAL logcat -d; fi
echo "***********************************************************************"
@@ -37,7 +43,7 @@ if [ -z "$($ADB $DEVICE_SERIAL shell 'if [ -f $STATUS_FILENAME ]; then echo exis
fi
EXIT_CODE=`$ADB ${DEVICE_SERIAL} shell cat ${STATUS_FILENAME}`
-$ADB ${DEVICE_SERIAL} shell rm -f ${STATUS_FILENAME}
+$ADB ${DEVICE_SERIAL} shell rm -f ${STATUS_FILENAME} ${CMD_FILENAME}
# check to see if the 'cat' command failed and print errors accordingly
if [[ ${EXIT_CODE} == *${STATUS_FILENAME}* ]]; then